Subject: Re: [PATCH 1/2] virtio_net: add page pool support for buffer allocation

From: "Michael S. Tsirkin" <[email-masked]>
Date: Fri, 9 Jan 2026 01:50:33 -0500

On Fri, Jan 09, 2026 at 11:16:39AM +0800, Jason Wang wrote:
> > My concern was that virtio has its own DMA abstraction
> > vdev->map->map_page() (used by VDUSE), and I wasn't sure if page_pool's
> > standard dma_map_page() would be compatible with all virtio backends.
> 
> You are right, DMA is unware about virtio mappings, so we can't use that.

Or maybe we could add an API saying whether virtio mappings are DMA ones
and then enable that conditionally? Because on some platforms, mapping
in the pool can save *a lot* of cycles.

-- 
MST